
Figure - Bug #118092
【IOVDEV-27968】【内部】【VC1】【0095】【台架】【EE环境】【副屏】KL15ON副屏开机完成后，显示时
间与中控时间不一致
2023-05-18 21:24 - 物联网测试组_TSCD 王维

Status: CLOSED Start date: 2023-05-18

Priority: High Due date:

Assignee: CDTS_TEST 王成 % Done: 100%

Category: BSP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 副屏：01.00.0095.c103 

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 从日志中可分析出，由于网络环境未搭建完成，设备起来后，在网络搭建完成之前无法与中控同步时时间导致时间显示和中控不一致

Description

详情

类型: 故障

状态:处理中 (查看工作流)

优先级: B

解决结果:未解决

影响版本:

01.00.0095.C103

修复的版本:无

模块:

副屏

标签:

TS-高优关注票 时间同步

Repetition Rate:

必现

测试环境:台架手动测试

项目名:

VC1

描述

【环境信息】EE环境

【问题出现时间】：20230515  11:29

【前提条件】：车机上电（KL30ON ，KL15 ON）

1. 11点29分时副屏切换KL15 OFF

2.约9分钟后KL15 ON

【实际结果】

副屏开机后显示时间为11点29分（中控显示实际时间为11点38分）--约5s后同步中控时间

【期望结果】

副屏同步中控时间，显示时间与中控时间一致。

【车架号】：

【备注】：

台架log地址：https://ofs.human-horizons.com/#/download/index/tCiEApRPbgI%3D

2025-07-04 1/7

https://ofs.human-horizons.com/#/download/index/tCiEApRPbgI%3D


台架视频地址：https://ofs.human-horizons.com/#/download/index/ZeWEDXK6Zyw%3D

【影响版本】：副屏：01.00.0095.c103 

【硬件版本号】：/

【是否能恢复】：

Related issues:

Related to Figure - Bug # 117861: 同客户bug IOVDEV-29760【AF】... CLOSED 2023-05-10

History

#1 - 2023-05-18 21:25 - 物联网测试组_TSCD 王维

目前使用5.18的DB版本依旧存在上诉现象，同步时间大概需要10s左右

#2 - 2023-05-19 16:14 - CD FW-程天颖

- Status changed from New to ASSIGNED

#3 - 2023-05-19 17:37 - CDTS_TEST 王成

中控0080版本与0100版本验证失败，需要中控与副屏研发人员一起确认下时间同步问题

#4 - 2023-05-22 10:19 - CD FW-程天颖

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW-程天颖 to CDTS_TEST 王成

请提供日志，谢谢

#5 - 2023-05-22 19:37 - CD FW-程天颖

- Assignee changed from CDTS_TEST 王成 to CD TPM-王祥林

- Root cause set to 从日志中可分析出，由于网络环境未搭建完成，设备起来后，在网络搭建完成之前无法与中控同步时时间导致时间显示和中控不一致

05-21 01:13:23.531  2087  2238 E MicroService:     at com.thundercomm.microservice.base.BaseMicroSocketClient.createClientSocket(BaseMicroSocketClient.java:20)

05-21 01:13:23.531  2087  2238 E MicroService:     at com.thundercomm.microservice.MicroSocketClient.serialSendMessage(MicroSocketClient.java:79)

05-21 01:13:23.531  2087  2238 E MicroService:     at

com.thundercomm.microservice.MicroSocketClient.lambda$handShark$1$MicroSocketClient(MicroSocketClient.java:94)

05-21 01:13:23.531  2087  2238 E MicroService:     at com.thundercomm.microservice.MicroSocketClient$$ExternalSyntheticLambda0.run(Unknown Source:4)

05-21 01:13:23.531  2087  2238 E MicroService:     at java.lang.Thread.run(Thread.java:920)

05-21 01:13:24.532  2087  2238 D MicroService: send handshake message, currentTryAccount=6

05-21 01:13:26.604  2087  2238 E MicroService: DTC_ETH: BaseMicroSocketClient:createClientSocket() 

05-21 01:13:26.604  2087  2238 E MicroService: java.net.NoRouteToHostException: Host unreachable

05-21 01:13:26.604  2087  2238 E MicroService:     at libcore.io.IoBridge.connect(IoBridge.java:183)

05-21 01:13:26.604  2087  2238 E MicroService:     at java.net.PlainSocketImpl.socketConnect(PlainSocketImpl.java:142)

05-21 01:13:26.604  2087  2238 E MicroService:     at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:390)

05-21 01:13:26.604  2087  2238 E MicroService:     at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:230)

05-21 01:13:26.604  2087  2238 E MicroService:     at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:212)

05-21 01:13:26.604  2087  2238 E MicroService:     at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:436)

05-21 01:13:26.604  2087  2238 E MicroService:     at java.net.Socket.connect(Socket.java:621)

05-21 01:13:26.604  2087  2238 E MicroService:     at java.net.Socket.connect(Socket.java:570)
05-21 01:13:26.604  2087  2238 E MicroService:     at java.net.Socket.<init>(Socket.java:450)

05-21 01:13:26.604  2087  2238 E MicroService:     at java.net.Socket.<init>(Socket.java:292)

05-21 01:13:26.604  2087  2238 E MicroService:     at com.thundercomm.microservice.base.BaseMicroSocketClient.createClientSocket(BaseMicroSocketClient.java:20)

05-21 01:13:26.604  2087  2238 E MicroService:     at com.thundercomm.microservice.MicroSocketClient.serialSendMessage(MicroSocketClient.java:79)

05-21 01:13:26.604  2087  2238 E MicroService:     at

com.thundercomm.microservice.MicroSocketClient.lambda$handShark$1$MicroSocketClient(MicroSocketClient.java:94)

05-21 01:13:26.604  2087  2238 E MicroService:     at com.thundercomm.microservice.MicroSocketClient$$ExternalSyntheticLambda0.run(Unknown Source:4)

05-21 01:13:26.604  2087  2238 E MicroService:     at java.lang.Thread.run(Thread.java:920)

05-21 01:13:27.604  2087  2238 D MicroService: send handshake message, currentTryAccount=7

05-21 01:13:27.982  2087  2238 D MicroService: Send message to IDCM:SocketMessageBean{businessData='21930', srcService='FSEM_COM',

destService='IDCM_COM', messageType='2', uuid='1684602788187143640',

payloadData={"srcService":"FSEM_COM","dstService":"IDCM_COM","messageType":2,"uuid":1684602788187143640,"methodName":"handShake","parameters":{"client

Name":"FSEM_COM","clientVersion":"01.10"}}}

05-21 01:13:27.992  2087  4072 I MicroService: Receive message: null.

05-21 01:13:27.999  2087  4073 D MicroService: handleHeartBeat:1

05-21 01:13:28.011  2087  4074 D MicroService: handleHeartBeat:2

05-21 01:13:28.024  2087  4075 I MicroService: Receive message: SocketMessageBean{businessData='21930', srcService='IDCM_COM', destService='FSEM_COM',

messageType='2', uuid='0', payloadData={

05-21 01:13:28.024  2087  4075 I MicroService:    "dstService" : "FSEM_COM",

05-21 01:13:28.024  2087  4075 I MicroService:    "messageType" : 2,

05-21 01:13:28.024  2087  4075 I MicroService:    "methodName" : "startup",

05-21 01:13:28.024  2087  4075 I MicroService:    "parameters" : {

05-21 01:13:28.024  2087  4075 I MicroService:       "crash" : "true" 

05-21 01:13:28.024  2087  4075 I MicroService:    },

05-21 01:13:28.024  2087  4075 I MicroService:    "srcService" : "IDCM_COM",

05-21 01:13:28.024  2087  4075 I MicroService:    "uuid" : 0

05-21 01:13:28.024  2087  4075 I MicroService: }

05-21 01:13:28.024  2087  4075 I MicroService: }

05-21 01:13:28.028  2087  4076 D MicroService: Send message to IDCM:SocketMessageBean{businessData='21930', srcService='FSEM_COM',

destService='IDCM_COM', messageType='2', uuid='1684602808024616965',

payloadData={"srcService":"FSEM_COM","dstService":"IDCM_COM","messageType":2,"uuid":1684602808024616965,"methodName":"handShake","parameters":{"client

Name":"FSEM_COM","clientVersion":"01.10"}}}

05-21 01:13:28.035  2087  4077 I MicroService: Receive message: SocketMessageBean{businessData='21930', srcService='IDCM_COM', destService='FSEM_COM',

messageType='2', uuid='1684602788187143640', payloadData={

05-21 01:13:28.035  2087  4077 I MicroService: "srcService":"IDCM_COM",

05-21 01:13:28.035  2087  4077 I MicroService: "dstService":"FSEM_COM",

05-21 01:13:28.035  2087  4077 I MicroService: "messageType":2,

05-21 01:13:28.035  2087  4077 I MicroService: "uuid":1684602788187143640,

05-21 01:13:28.035  2087  4077 I MicroService: "methodName":"handShake",

05-21 01:13:28.035  2087  4077 I MicroService: "parameters":{"result":"true","serverName":"IDCM_COM","serverVersion":"01.01"}

05-21 01:13:28.035  2087  4077 I MicroService: }}

05-21 01:13:28.036  2087  4077 I MicroService: Client connect status changed. Status: 1

05-21 01:13:28.036  2087  4077 D MicroService: startHeartBeat Timer

05-21 01:13:28.036  2087  4077 I MicroService: onConnectStateChanged: 1

05-21 01:13:28.036  2087  4077 I MicroService: onConnectStateChanged count = 2

05-21 01:13:28.038  2099  2586 D MicroSettings: SettingMicroservices: onNettyConnectState: 1mLastNettyState: -1

05-21 01:13:28.038  2099  2586 D MicroSettings: SettingMicroservices: init Request: 

05-21 01:13:28.038  1497  2653 I MicroServiceManager: requestResult(getVolume) parameters is{"functionInfo":{"IDCM_VolumeValue_Media":"MEDIA"}}.

05-21 01:13:28.042  2087  4078 D MicroService: Send message to IDCM:SocketMessageBean{businessData='21930', srcService='FSEM_AudioService',

destService='IDCM_CarAudioService', messageType='0', uuid='1684602808039447278',

payloadData={"srcService":"FSEM_AudioService","dstService":"IDCM_CarAudioService","messageType":0,"uuid":1684602808039447278,"methodName":"getVolume","p

arameters":{"functionInfo":{"IDCM_VolumeValue_Media":"MEDIA"}}}}

05-21 01:13:28.049  2087  4079 I MicroService: Receive message: SocketMessageBean{businessData='21930', srcService='IDCM_HHServer',
destService='FSEM_SettingService', messageType='0', uuid='1668115785265647000', payloadData={

05-21 01:13:28.049  2087  4079 I MicroService:    "dstService" : "FSEM_SettingService",

05-21 01:13:28.049  2087  4079 I MicroService:    "messageType" : 0,

05-21 01:13:28.049  2087  4079 I MicroService:    "methodName" : "sendBrightness",

05-21 01:13:28.049  2087  4079 I MicroService:    "parameters" : {

05-21 01:13:28.049  2087  4079 I MicroService:       "IDCM_BrightValue" : 20

05-21 01:13:28.049  2087  4079 I MicroService:    },

05-21 01:13:28.049  2087  4079 I MicroService:    "srcService" : "IDCM_HHServer",

05-21 01:13:28.049  2087  4079 I MicroService:    "uuid" : 1668115785265647000

05-21 01:13:28.049  2087  4079 I MicroService: }

05-21 01:13:28.049  2087  4079 I MicroService: }

05-21 01:13:28.050  2087  4079 I MicroService: onRequest(sendBrightness): {"IDCM_BrightValue":20}

05-21 01:13:28.051  2099  2586 D MicroSettings: ITCMicroCommonCallback: get request method = sendBrightness parameters = {"IDCM_BrightValue":20}

05-21 01:13:28.052  2087  4079 D MicroService: handleHeartBeat:1

05-21 01:13:28.064  2087  4081 I MicroService: Receive message: SocketMessageBean{businessData='21930', srcService='IDCM_HHServer',

destService='FSEM_SettingService', messageType='0', uuid='1668115785273402000', payloadData={

05-21 01:13:28.064  2087  4081 I MicroService:    "dstService" : "FSEM_SettingService",

05-21 01:13:28.064  2087  4081 I MicroService:    "messageType" : 0,

05-21 01:13:28.064  2087  4081 I MicroService:    "methodName" : "syncTime",

05-21 01:13:28.064  2087  4081 I MicroService:    "parameters" : {

05-21 01:13:28.064  2087  4081 I MicroService:       "IDCM_Time_12_24" : "12",

05-21 01:13:28.064  2087  4081 I MicroService:       "IDCM_Timestamp" : 1668115785000,

05-21 01:13:28.064  2087  4081 I MicroService:       "IDCM_Timezone" : "GMT+08:00" 

05-21 01:13:28.064  2087  4081 I MicroService:    },

05-21 01:13:28.064  2087  4081 I MicroService:    "srcService" : "IDCM_HHServer",

05-21 01:13:28.064  2087  4081 I MicroService:    "uuid" : 1668115785273402000

05-21 01:13:28.064  2087  4081 I MicroService: }

05-21 01:13:28.064  2087  4081 I MicroService: }

05-21 01:13:28.064  2087  4081 I MicroService: onRequest(syncTime):

{"IDCM_Time_12_24":"12","IDCM_Timestamp":1668115785000,"IDCM_Timezone":"GMT+08:00"}

05-21 01:13:28.064  2099  2586 D MicroSettings: ITCMicroCommonCallback: get request method = syncTime parameters =

{"IDCM_Time_12_24":"12","IDCM_Timestamp":1668115785000,"IDCM_Timezone":"GMT+08:00"}

05-21 01:13:28.065  2087  4081 D MicroService: handleHeartBeat:2

05-21 01:13:28.067  2099  4082 D MicroSettings: SetTimeAction: current timestamp: 1684602808067

05-21 01:13:28.067  2099  4082 D MicroSettings: SetTimeAction: setTime: 1668115785000

11-11 05:29:45.002  2099  4082 D MicroSettings: SetTimeAction: setTimezone: Etc/GMT-8

11-11 05:29:45.011  2087  4083 I MicroService: Receive message: SocketMessageBean{businessData='21930', srcService='IDCM_IVIInfoService',

destService='FSEM_SettingService', messageType='0', uuid='19783665894118',

payloadData={"srcService":"IDCM_IVIInfoService","dstService":"FSEM_SettingService","messageType":0,"uuid":19783665894118,"methodName":"WifiInfo","parameters":

{"status":4,"level":0}}}

11-11 05:29:45.012  2087  4083 I MicroService: onRequest(WifiInfo): {"status":4,"level":0}

11-11 05:29:45.012  2099  2586 D MicroSettings: ITCMicroCommonCallback: get request method = WifiInfo parameters = {"status":4,"level":0}

11-11 05:29:45.014  2087  4083 D MicroService: handleHeartBeat:3

11-11 05:29:45.025  2099  4084 D MicroSettings: NetworkSwitchUtil: syncNetStatus:wifi is false

11-11 05:29:45.025  2099  4084 D MicroSettings: NetworkSwitchUtil: do command :setprop sys.network.wifi 0

11-11 05:29:45.027  2087  4086 I MicroService: Receive message: SocketMessageBean{businessData='21930', srcService='IDCM_MultiScreenService',

destService='FSEM_SettingService', messageType='0', uuid='19783665794483',

payloadData={"srcService":"IDCM_MultiScreenService","dstService":"FSEM_SettingService","messageType":0,"uuid":19783665794483,"methodName":"getScreenDisplay",

"parameters":{"ScreenDisplay":0}}}

11-11 05:29:45.027  2087  4086 I MicroService: onRequest(getScreenDisplay): {"ScreenDisplay":0}

11-11 05:29:45.028  2099  2586 D MicroSettings: ITCMicroCommonCallback: get request method = getScreenDisplay parameters = {"ScreenDisplay":0}

11-11 05:29:45.028  2087  4086 D MicroService: handleHeartBeat:4

11-11 05:29:45.040  2087  4090 I MicroService: Receive message: SocketMessageBean{businessData='21930', srcService='IDCM_COM', destService='FSEM_COM',
messageType='2', uuid='1684602808024616965', payloadData={

11-11 05:29:45.040  2087  4090 I MicroService: "srcService":"IDCM_COM",

11-11 05:29:45.040  2087  4090 I MicroService: "dstService":"FSEM_COM",

11-11 05:29:45.040  2087  4090 I MicroService: "messageType":2,

11-11 05:29:45.040  2087  4090 I MicroService: "uuid":1684602808024616965,

11-11 05:29:45.040  2087  4090 I MicroService: "methodName":"handShake",

11-11 05:29:45.040  2087  4090 I MicroService: "parameters":{"result":"true","serverName":"IDCM_COM","serverVersion":"01.01"}

11-11 05:29:45.040  2087  4090 I MicroService: }}

11-11 05:29:45.040  2087  4090 I MicroService: Client connect status changed. Status: 1

11-11 05:29:45.040  2087  4090 D MicroService: startHeartBeat Timer

11-11 05:29:45.040  2087  4090 D MicroService: is started

11-11 05:29:45.040  2087  4090 I MicroService: onConnectStateChanged: 1

11-11 05:29:45.041  2087  4090 I MicroService: onConnectStateChanged count = 2

11-11 05:29:45.041  2099  4089 D MicroSettings: SettingMicroservices: onNettyConnectState: 1mLastNettyState: 1

11-11 05:29:45.042  2099  4088 I MicroServiceManager: requestResult(reportScreenDisplay) parameters is{"reportScreenDisplay":1}.

11-11 05:29:45.043  2099  4088 D MicroSettings: GetScreenDisplayAction: report screen status

11-11 05:29:45.055  2087  4093 D MicroService: Send message to IDCM:SocketMessageBean{businessData='21930', srcService='FSEM_SettingService',

destService='IDCM_MultiScreenService', messageType='0', uuid='1668115785043078215',

payloadData={"srcService":"FSEM_SettingService","dstService":"IDCM_MultiScreenService","messageType":0,"uuid":1668115785043078215,"methodName":"reportScreen

Display","parameters":{"reportScreenDisplay":1}}}

从日志中可分析出，由于网络环境未搭建完成，设备起来后，在网络搭建完成之前无法与中控同步时时间导致时间显示和中控不一致

#6 - 2023-05-22 19:37 - CD FW-程天颖

- Status changed from NEED_INFO to ASSIGNED

#7 - 2023-05-24 16:01 - CDTS_TEST 王成

网络的问题

起来的时候没网，没法同步，我这搞不定

要看网络怎么搞，早点搭建出网络环境还是有其他更好的方案

#8 - 2023-05-30 10:49 - CD TPM-王祥林

- Category changed from CD-FW to BSP

- Assignee changed from CD TPM-王祥林 to BSP组-RD3_CDTS  陈宙贤

宙贤

按照早上的讨论，请在进入home界面之前，mcu发生指令给mpu建立网络连接。

#9 - 2023-05-30 18:06 - BSP组-RD3_CDTS  陈宙贤

- Status changed from ASSIGNED to RESOLVED

- % Done changed from 0 to 100

代码已修改，进桌面自动显示音量同步（具体时间看MPU启动情况）。

https://dev.thundercomm.com/gerrit/c/Pre_figure/mcu/+/203546
#10 - 2023-05-30 18:37 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

203546 Pre_figure/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

zhouxian.chen@thundersoft.com

BSP:MCU: Reduce LAN connection time1.Change the command to send a connection after30 seconds of power on to 11 seconds.2.Add print statements in the

main function.(LAN, Shutdownmd, ReplyPowerLog)Bin version: V0.2.0TC-RID: 1201-0102704IssueID: TS-R-BUG-118092Change-Id:

I5033a9d8cdd526dc947a7d6c93cc088bd886dfa1

#11 - 2023-05-30 18:39 - BSP组-RD3_CDTS  陈宙贤

- Assignee changed from BSP组-RD3_CDTS  陈宙贤 to CDTS_TEST 王成

代码已入库，待验证。

#12 - 2023-05-30 23:31 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

203654 general/vendor/tc/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

scm@thundersoft.com

BSP:MCU: Reduce LAN connection time1.Change the command to send a connection after30 seconds of power on to 11 seconds.2.Add print statements in the

main function.(LAN, Shutdownmd, ReplyPowerLog)Bin version: V0.2.0TC-RID: 1201-0102704IssueID: TS-R-BUG-118092Change-Id:

Ie8c092b202bc35a95f7112ec2d776db63efd1b4f

#13 - 2023-06-02 18:37 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

6.2

验证通过

#14 - 2023-06-02 18:37 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
